#!/bin/sh

DEV=$1
OP=$2
WIFIBR="wifibr0"

if [ "$OP" = "up" ]; then
    echo "Bringing $DEV up"
    /usr/sbin/iwpriv $DEV beacon_int 1024
    /usr/sbin/iwpriv $DEV max_inactivity 120
    /sbin/ifconfig $DEV 0.0.0.0 promisc up
    echo "Adding $DEV to bridge"
    /usr/sbin/brctl addif $WIFIBR $DEV
else
    echo "Removing $DEV from bridge"
    /usr/sbin/brctl delif $WIFIBR $DEV
    echo "Bringing $DEV down"
    /sbin/ifconfig $DEV down
fi

