#!/bin/bash

openssl req -newkey rsa:1024 -config dragorn-ca.cnf \
            -sha1 -keyout ${1}key.pem -out ${1}req.pem \
            -subj "/C=US/ST=New-York/L=NYC/O=HOPE-5/OU=Network Core/CN=${1}"
openssl x509 -req -in ${1}req.pem -sha1 -extfile dragorn-ca.cnf \
    -extensions usr_cert -CA certs/root.pem -CAkey certs/root.pem \
    -CAcreateserial -out ${1}cert.pem
cat ${1}cert.pem ${1}key.pem certs/root.pem > certs/${1}.pem

