#include "config.h"
#include "tcpkismetclient.h"

int main(void) {
    TcpKismetClient kc;
    fd_set rset, wset;
    int maxfd;
    MessageBus mbus;
    StdoutMessageClient mcli;

    mbus.RegisterClient(&mcli, MSGFLAG_ALL);

    kc.RegisterMessageBus(&mbus);
    kc.Connect("10.0.0.210", 2501);

    while(1) {
        FD_ZERO(&rset);
        FD_ZERO(&wset);
        maxfd = kc.MergeSet(rset, wset, 0, &rset, &wset);
        select(maxfd + 1, &rset, &wset, NULL, NULL);
        kc.Poll(rset, wset);
    }
}

