/*
    This file is part of Kismet

    Kismet is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Kismet is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kismet; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "ssl_common.h"

/* Standard auth callback */
int ssl_common_cert_verify_cb(int ok, X509_STORE_CTX *store) { 
#if 0
    char data[256];
    if (!ok) { 
        X509 *cert = X509_STORE_CTX_get_current_cert(store); 
        int depth = X509_STORE_CTX_get_error_depth(store); 
        int err = X509_STORE_CTX_get_error(store);
        fprintf(stderr, "-Error with certificate at depth: %i\n", depth); 
        X509_NAME_oneline(X509_get_issuer_name(cert), data, 256); 
        fprintf(stderr, " issuer = %s\n", data); 
        X509_NAME_oneline(X509_get_subject_name(cert), data, 256); 
        fprintf(stderr, " subject = %s\n", data); 
        fprintf(stderr, " err %i:%s\n", err, X509_verify_cert_error_string(err)); 
    }
#endif
    return ok; 
}

